#pragma once

#include <string>
#include <iostream>
#include "spdlog/spdlog.h"


class Trade {
public:
    Trade(const std::string& instrument, double price)
        : instrument_(instrument), price_(price) {
        spdlog::info("Trade constructor: {} @ {}", instrument_, price_);
    }

    ~Trade() {
        spdlog::info("Trade destructor: {} @ {}", instrument_, price_);
    }

    void print() const {
        spdlog::info("Executing trade: {} for ${}", instrument_, price_);
    }

private:
    std::string instrument_;
    double price_;
};
